Subject: bug#24229: 25.1; Can't set EPA program

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Aug 2016 18:35:09 +0300

> From: Daiki Ueno <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 18 Aug 2016 17:08:03 +0200
> 
> > What I meant is that Customize does have a way of telling that a value
> > was changed using setq, so evidently there's some infrastructure for
> > that which you could use.  Am I missing something?
> 
> Do you mean custom-variable-state

Yes, I guess so.

> The function just compares a value with the default value.  In that
> case, we cannot determine whether a user explicitly sets the
> variable to "gpg2", or the default value "gpg2" is used.

You mean, using setq to set the value that is identical to the default
is somehow different from using the default unchanged?  Isn't that
confusing for users?